> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cozmox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update agent

> Update agent details (partial update)



## OpenAPI

````yaml /openapi.yaml patch /org/{org_id}/agents/{agent_id}
openapi: 3.0.0
info:
  contact: {}
  title: Cozmo - API
  version: devel
servers:
  - url: https://v2-nova-api.prod.czmx.in/api
security:
  - BearerAuth: []
paths:
  /org/{org_id}/agents/{agent_id}:
    patch:
      tags:
        - Agents
      summary: Update agent
      description: Update agent details (partial update)
      operationId: updateAgent
      parameters:
        - description: Organization ID
          in: path
          name: org_id
          required: true
          schema:
            type: string
        - description: Agent ID
          in: path
          name: agent_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/agents.UpdateAgentRequest'
        description: Agent update details
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/agents.AgentResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
components:
  schemas:
    agents.UpdateAgentRequest:
      properties:
        background_sound:
          $ref: '#/components/schemas/agents.BackgroundSoundConfig'
        default_functions:
          items:
            type: string
          type: array
        extra_config:
          $ref: '#/components/schemas/agents.ExtraConfig'
        goodbye_config:
          $ref: '#/components/schemas/agents.GoodbyeConfig'
        greeting_config:
          $ref: '#/components/schemas/agents.GreetingConfig'
        llm_config:
          $ref: '#/components/schemas/agents.LLMConfig'
        name:
          type: string
        plugins:
          items: {}
          type: array
        precall_webhook:
          $ref: '#/components/schemas/agents.PrecallWebhookConfig'
        prompt_template:
          type: string
        room_duration_config:
          $ref: '#/components/schemas/agents.RoomDurationConfig'
        transcriber_config:
          $ref: '#/components/schemas/agents.TranscriberConfig'
        type:
          enum:
            - voice
            - chat
            - video
          type: string
        vad_config:
          $ref: '#/components/schemas/agents.VadConfig'
        voice_config:
          $ref: '#/components/schemas/agents.VoiceConfig'
      type: object
    agents.AgentResponse:
      properties:
        allowed_sip_trunks:
          items:
            type: string
          type: array
        background_sound:
          items:
            type: integer
          type: array
        created_at:
          type: string
        default_functions:
          items:
            type: string
          type: array
        extra_config:
          items:
            type: integer
          type: array
        goodbye_config:
          items:
            type: integer
          type: array
        greeting_config:
          items:
            type: integer
          type: array
        id:
          type: string
        llm_config:
          items:
            type: integer
          type: array
        name:
          type: string
        organization_id:
          type: string
        plugins:
          items:
            type: integer
          type: array
        precall_webhook:
          items:
            type: integer
          type: array
        prompt_template:
          type: string
        public_quota:
          type: integer
        room_duration_config:
          items:
            type: integer
          type: array
        tools:
          items:
            $ref: '#/components/schemas/agents.AgentToolResponse'
          type: array
        transcriber_config:
          items:
            type: integer
          type: array
        type:
          type: string
        updated_at:
          type: string
        vad_config:
          items:
            type: integer
          type: array
        voice_config:
          items:
            type: integer
          type: array
      type: object
    helper.ResponseError:
      properties:
        data: {}
        error: {}
        message:
          type: string
        status:
          type: boolean
      type: object
    agents.BackgroundSoundConfig:
      properties:
        enabled:
          type: boolean
        file:
          type: string
        initial_volume:
          maximum: 1
          minimum: 0
          type: number
        thinking_sound:
          items:
            $ref: '#/components/schemas/agents.ThinkingSound'
          type: array
        volume:
          maximum: 1
          minimum: 0
          type: number
      required:
        - file
      type: object
    agents.ExtraConfig:
      properties:
        allow_interruptions:
          type: boolean
        interruption_sensitivity:
          maximum: 1
          minimum: 0
          type: number
        min_words:
          minimum: 0
          type: integer
        turn_detector_enabled:
          type: boolean
        turn_detector_is_multilingual:
          type: boolean
        turn_detector_model_type:
          type: string
        use_gender_plugin:
          enum:
            - none
            - pitch
            - enhanced
            - enhanced-multi
          type: string
      type: object
    agents.GoodbyeConfig:
      properties:
        enabled:
          type: boolean
        message:
          maxLength: 500
          type: string
      type: object
    agents.GreetingConfig:
      properties:
        agent_speaks_first:
          type: boolean
        greeting:
          type: string
        pause_before_first_message:
          minimum: 0
          type: integer
        voice_mail_message:
          type: string
        welcome_message_is_generated:
          type: boolean
      type: object
    agents.LLMConfig:
      properties:
        fallbacks:
          description: >-
            Ordered list of fallback providers tried in sequence when the
            primary LLM fails
          items:
            $ref: '#/components/schemas/agents.LLMConfig'
          type: array
        frequency_penalty:
          maximum: 2
          minimum: -2
          type: number
        max_tokens:
          minimum: 1
          type: integer
        model:
          type: string
        parallel_tool_calls:
          type: boolean
        presence_penalty:
          description: OpenAI Only
          maximum: 2
          minimum: -2
          type: number
        provider:
          description: Core (All Providers)
          enum:
            - openai
            - anthropic
            - google
            - groq
            - cerebras
          type: string
        system_prompt:
          type: string
        temperature:
          description: Sampling Parameters (All Providers)
          maximum: 2
          minimum: 0
          type: number
        top_k:
          description: Anthropic Only
          minimum: 1
          type: integer
        top_p:
          maximum: 1
          minimum: 0
          type: number
      required:
        - model
        - provider
      type: object
    agents.PrecallWebhookConfig:
      properties:
        body_template:
          additionalProperties: true
          type: object
        headers:
          additionalProperties:
            type: string
          type: object
        method:
          enum:
            - GET
            - POST
            - PUT
            - PATCH
          type: string
        timeout_seconds:
          maximum: 60
          minimum: 1
          type: integer
        url:
          type: string
      required:
        - method
        - url
      type: object
    agents.RoomDurationConfig:
      properties:
        close_room_message:
          type: string
        duration_warning_message:
          type: string
        max_duration_min:
          minimum: 1
          type: integer
        max_silence_sec:
          minimum: 0
          type: integer
        silence_message:
          type: string
        wait_for_message_sec:
          minimum: 0
          type: integer
      type: object
    agents.TranscriberConfig:
      properties:
        commit_strategy:
          description: ElevenLabs Only
          enum:
            - manual
            - vad
          type: string
        detect_language:
          description: Legacy fields (backward compatibility)
          type: boolean
        eager_eot_threshold:
          description: Unified EOT/VAD Fields
          maximum: 1
          minimum: 0
          type: number
        enable_logging:
          type: boolean
        endpointing:
          minimum: 0
          type: integer
        endpointing_ms:
          minimum: 0
          type: integer
        energy_filter:
          type: boolean
        eot_threshold:
          maximum: 1
          minimum: 0
          type: number
        eot_timeout_ms:
          minimum: 0
          type: integer
        fallbacks:
          description: >-
            Ordered list of fallback providers tried in sequence when the
            primary STT fails
          items:
            $ref: '#/components/schemas/agents.TranscriberConfig'
          type: array
        filler_words:
          type: boolean
        include_language_detection:
          type: boolean
        include_timestamps:
          type: boolean
        interim_results:
          description: Deepgram V1 Only
          type: boolean
        keyterms:
          description: Deepgram Flux Only
          items:
            type: string
          type: array
        keywords:
          items:
            type: string
          type: array
        language:
          type: string
        min_speech_duration_ms:
          minimum: 0
          type: integer
        model:
          type: string
        no_delay:
          type: boolean
        num_channels:
          minimum: 1
          type: integer
        preemptive_generation:
          description: Preemptive Generation (All Providers)
          type: boolean
        preemptive_min_confidence:
          maximum: 1
          minimum: 0
          type: number
        profanity_filter:
          type: boolean
        provider:
          description: Core fields (All Providers)
          enum:
            - deepgram
            - elevenlabs
            - speechmatics
            - openai
            - groq
          type: string
        punctuate:
          type: boolean
        sample_rate:
          maximum: 48000
          minimum: 8000
          type: integer
        smart_format:
          type: boolean
        vad_events:
          type: boolean
      required:
        - provider
      type: object
    agents.VadConfig:
      properties:
        activation_threshold:
          maximum: 1
          minimum: 0
          type: number
        max_buffered_speech:
          minimum: 1
          type: integer
        min_silence_duration:
          minimum: 0
          type: number
        min_speech_duration:
          minimum: 0
          type: number
        prefix_padding_duration:
          minimum: 0
          type: number
        sample_rate:
          maximum: 48000
          minimum: 8000
          type: integer
      type: object
    agents.VoiceConfig:
      properties:
        emotion:
          description: Language and Emotion
          items:
            type: string
          type: array
        enable_ssml_parsing:
          description: elevenlabs
          type: boolean
        enable_ssml_tags:
          description: cartesia (kept for backward compat)
          type: boolean
        encoding:
          description: Audio Output
          type: string
        enhanced_named_entities:
          description: cambai
          type: boolean
        fallbacks:
          description: >-
            Ordered list of fallback providers tried in sequence when the
            primary TTS fails
          items:
            $ref: '#/components/schemas/agents.VoiceConfig'
          type: array
        instructions:
          description: Content Controls
          type: string
        intensity:
          description: minimax -100 to 100
          maximum: 100
          minimum: -100
          type: number
        language:
          type: string
        model:
          type: string
        pitch:
          description: minimax -12 to 12
          maximum: 12
          minimum: -12
          type: number
        preprocessing:
          description: sarvam
          type: boolean
        provider:
          type: string
        sample_rate:
          maximum: 48000
          minimum: 8000
          type: integer
        similarity_boost:
          maximum: 1
          minimum: 0
          type: number
        speed:
          maximum: 5
          minimum: 0.1
          type: number
        stability:
          maximum: 1
          minimum: 0
          type: number
        style:
          maximum: 1
          minimum: 0
          type: number
        text_normalization:
          description: minimax, inworld
          type: boolean
        timbre:
          description: minimax -100 to 100
          maximum: 100
          minimum: -100
          type: number
        use_speaker_boost:
          type: boolean
        user_instructions:
          description: cambai (3-1000 chars)
          maxLength: 1000
          minLength: 3
          type: string
        voice_id:
          type: string
        volume:
          description: Voice Processing Parameters
          maximum: 10
          minimum: 0.5
          type: number
      required:
        - model
        - provider
      type: object
    agents.AgentToolResponse:
      properties:
        config_override:
          additionalProperties: true
          type: object
        description:
          type: string
        is_enabled:
          type: boolean
        method:
          type: string
        name:
          type: string
        parameters:
          items:
            $ref: '#/components/schemas/agents.ToolParameter'
          type: array
        tool_id:
          type: string
        url:
          type: string
      type: object
    agents.ThinkingSound:
      properties:
        probability:
          maximum: 1
          minimum: 0
          type: number
        sound:
          type: string
        volume:
          maximum: 1
          minimum: 0
          type: number
      required:
        - sound
      type: object
    agents.ToolParameter:
      properties:
        description:
          type: string
        name:
          type: string
        required:
          type: boolean
        type:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      type: apiKey
      in: header
      name: X-API-Key

````